summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorFlorian Bruhin <me@the-compiler.org>2021-04-29 13:56:31 +0200
committerFlorian Bruhin <me@the-compiler.org>2021-04-29 13:56:31 +0200
commit874f843698bf5d82d6423b062377aad4f4eff224 (patch)
treed9d2f6334c20756437ab546b1ea0fe77a35a0a64 /scripts
parenta4a0aa8395004476230be1244207229facc187db (diff)
downloadqutebrowser-874f843698bf5d82d6423b062377aad4f4eff224.tar.gz
qutebrowser-874f843698bf5d82d6423b062377aad4f4eff224.zip
ci: Try harder to detach dmg
Speculatively fixes #6431
Diffstat (limited to 'scripts')
-rw-r--r--scripts/dev/Makefile-dmg2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/dev/Makefile-dmg b/scripts/dev/Makefile-dmg
index 1545318db..9b60f5f27 100644
--- a/scripts/dev/Makefile-dmg
+++ b/scripts/dev/Makefile-dmg
@@ -60,7 +60,7 @@ $(MASTER_DMG): $(WC_DMG) $(addprefix $(SOURCE_DIR)/,$(SOURCE_FILES))
#rm -f "$@"
#hdiutil create -srcfolder "$(WC_DIR)" -format UDZO -imagekey zlib-level=9 "$@" -volname "$(NAME) $(VERSION)" -scrub -quiet
WC_DEV=`hdiutil info | grep "$(WC_DIR)" | grep "Apple_HFS" | awk '{print $$1}'` && \
- hdiutil detach $$WC_DEV -force -debug || true # timeouts on CI sometimes
+ hdiutil detach $$WC_DEV -force || { sleep 30; hdiutil detach $$WC_DEV -force -debug }
rm -f "$(MASTER_DMG)"
hdiutil convert "$(WC_DMG)" -quiet -format UDZO -imagekey zlib-level=9 -o "$@"
rm -rf $(WC_DIR)